#debuginfo not supported with Go
%global debug_package %{nil}
%global package_name openshift-pipelines-as-code
%global product_name OpenShift Pipelines
%global golang_version 1.17
%global tkn_pac_version 0.10.1
%global tkn_pac_release 1
%global source_dir pipelines-as-code-%{tkn_pac_version}
%global source_tar %{source_dir}.tar.gz

Name:           %{package_name}
Version:        %{tkn_pac_version}
Release:        %{tkn_pac_release}%{?dist}
Summary:        %{product_name} client Pipelines As Code plugin
License:        ASL 2.0
URL:            https://pipelinesascode.com/

Source0:        https://github.com/openshift-pipelines/pipelines-as-code/archive/%{tkn_pac_version}/%{source_tar}

BuildRequires:  golang >= %{golang_version}
BuildRequires:  make

%description
Client tkn provides developer experience to work with Tekton Pipelines.

%prep
%setup -q -n %{source_dir}

%build
REPO_ROOT_DIR=`pwd` \
%make_build bin/tkn-pac PAC_VERSION=%{tkn_pac_version}

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 bin/tkn-pac %{buildroot}/%{_bindir}/tkn-pac

 # Install bash completions
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
install -d -m 755 %{buildroot}%{_datadir}/zsh/site-functions/
echo "+++ INSTALLING COMPLETIONS FOR tkn-pac "
%{buildroot}%{_bindir}/tkn-pac completion bash > %{buildroot}%{_sysconfdir}/bash_completion.d/tkn-pac
%{buildroot}%{_bindir}/tkn-pac completion zsh > %{buildroot}%{_datadir}/zsh/site-functions/_tkn-pac
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/tkn-pac


%files
%license LICENSE
%{_bindir}/tkn-pac
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/tkn-pac
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_tkn-pac


%changelog
